Skip to main content
POST
/
namespaces
/
{namespace}
/
worlds
/
{slug}
/
search
Search triples scoped to one world
curl --request POST \
  --url https://api.wazoo.dev/namespaces/{namespace}/worlds/{slug}/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "sources": [
    "<string>"
  ],
  "namespace": "<string>",
  "limit": 2,
  "subjects": [
    "<string>"
  ],
  "predicates": [
    "<string>"
  ],
  "types": [
    "<string>"
  ]
}
'
import requests

url = "https://api.wazoo.dev/namespaces/{namespace}/worlds/{slug}/search"

payload = {
"query": "<string>",
"sources": ["<string>"],
"namespace": "<string>",
"limit": 2,
"subjects": ["<string>"],
"predicates": ["<string>"],
"types": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
sources: ['<string>'],
namespace: '<string>',
limit: 2,
subjects: ['<string>'],
predicates: ['<string>'],
types: ['<string>']
})
};

fetch('https://api.wazoo.dev/namespaces/{namespace}/worlds/{slug}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "subject": "<string>",
    "predicate": "<string>",
    "object": "<string>",
    "vecRank": 123,
    "ftsRank": 123,
    "score": 123,
    "world": {
      "slug": "<string>",
      "createdAt": 123,
      "updatedAt": 123,
      "namespace": "<string>",
      "label": "<string>",
      "description": "<string>",
      "deletedAt": 123
    }
  }
]
{
"error": {
"message": "<string>"
}
}
{
"error": {
"message": "<string>"
}
}
{
"error": {
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required
slug
string
required

Body

application/json
query
string
required
sources
string · object · object[]

Target world: a qualified string (namespace/slug), { slug, namespace? }, or { name } (same qualified form as name).

namespace
string
limit
integer
Required range: x >= 1
subjects
string[]
predicates
string[]
types
string[]

Response

Ranked triple hits

subject
string
required
predicate
string
required
object
string
required
vecRank
number | null
required
ftsRank
number | null
required
score
number
required
world
object
required